6.0.0-git
2019-07-21

[#7375] Horde_Crypt_pgp::generateRevocation() doesn't work
Summary Horde_Crypt_pgp::generateRevocation() doesn't work
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester jan (at) horde (dot) org
Created 2008-09-22 (3954 days ago)
Due
Updated 2013-12-17 (2042 days ago)
Assigned
Resolved 2013-11-13 (2076 days ago)
Milestone
Patch No

History
2013-12-17 11:39:58 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 64bd57dd75997e0535ee616c7d1bdca34ecbf6d0
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 20:55:49 2013 -0700

     [mms] Remove Horde_Crypt_Pgp#generateRevocation() (Bug #7375).

     This won't work unless using a version of GnuPG that hasn't been
     released yet, due to the fact that this command can't be run in batch
     mode and disabling pinentry is not possible with any released version.

     Not BC breaking since this method has never worked.

  framework/Crypt/lib/Horde/Crypt/Pgp.php      |   43 
--------------------------
  framework/Crypt/package.xml                  |    2 +
  framework/Crypt/test/Horde/Crypt/PgpTest.php |   21 ------------
  3 files changed, 2 insertions(+), 64 deletions(-)

http://git.horde.org/horde-git/-/commit/64bd57dd75997e0535ee616c7d1bdca34ecbf6d0
2013-12-17 11:39:41 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 50cedf942a44e0eef943b9749b3c34ac1100693b
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 20:55:49 2013 -0700

     [mms] Remove Horde_Crypt_Pgp#generateRevocation() (Bug #7375).

     This won't work unless using a version of GnuPG that hasn't been
     released yet, due to the fact that this command can't be run in batch
     mode and disabling pinentry is not possible with any released version.

     Not BC breaking since this method has never worked.

  framework/Crypt/lib/Horde/Crypt/Pgp.php      |   43 
--------------------------
  framework/Crypt/package.xml                  |    2 +
  framework/Crypt/test/Horde/Crypt/PgpTest.php |   21 ------------
  3 files changed, 2 insertions(+), 64 deletions(-)

http://git.horde.org/horde-git/-/commit/50cedf942a44e0eef943b9749b3c34ac1100693b
2013-12-17 11:39:24 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit bcb2ed474303c2f4dcf90e78109bea8b37fcad2e
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 20:55:49 2013 -0700

     [mms] Remove Horde_Crypt_Pgp#generateRevocation() (Bug #7375).

     This won't work unless using a version of GnuPG that hasn't been
     released yet, due to the fact that this command can't be run in batch
     mode and disabling pinentry is not possible with any released version.

     Not BC breaking since this method has never worked.

  framework/Crypt/lib/Horde/Crypt/Pgp.php      |   43 
--------------------------
  framework/Crypt/package.xml                  |    2 +
  framework/Crypt/test/Horde/Crypt/PgpTest.php |   21 ------------
  3 files changed, 2 insertions(+), 64 deletions(-)

http://git.horde.org/horde-git/-/commit/bcb2ed474303c2f4dcf90e78109bea8b37fcad2e
2013-12-17 11:39:07 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit af2d557be020e581c12c77d65e20d3049f0a20bb
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 20:55:49 2013 -0700

     [mms] Remove Horde_Crypt_Pgp#generateRevocation() (Bug #7375).

     This won't work unless using a version of GnuPG that hasn't been
     released yet, due to the fact that this command can't be run in batch
     mode and disabling pinentry is not possible with any released version.

     Not BC breaking since this method has never worked.

  framework/Crypt/lib/Horde/Crypt/Pgp.php      |   43 
--------------------------
  framework/Crypt/package.xml                  |    2 +
  framework/Crypt/test/Horde/Crypt/PgpTest.php |   21 ------------
  3 files changed, 2 insertions(+), 64 deletions(-)

http://git.horde.org/horde-git/-/commit/af2d557be020e581c12c77d65e20d3049f0a20bb
2013-11-13 04:19:21 Michael Slusarz Comment #3
Taken from Matt Selsky
State ⇒ Resolved
Reply to this comment
This won't work with any released version of gnupg.  So remove entirely.
2013-11-13 04:12:55 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 354b7a2d7afa335895753d59dbcef5367efff9a4
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 20:55:49 2013 -0700

     [mms] Remove Horde_Crypt_Pgp#generateRevocation() (Bug #7375).

     This won't work unless using a version of GnuPG that hasn't been
     released yet, due to the fact that this command can't be run in batch
     mode and disabling pinentry is not possible with any released version.

     Not BC breaking since this method has never worked.

  framework/Crypt/lib/Horde/Crypt/Pgp.php      |   43 
--------------------------
  framework/Crypt/package.xml                  |    2 +
  framework/Crypt/test/Horde/Crypt/PgpTest.php |   21 ------------
  3 files changed, 2 insertions(+), 64 deletions(-)

http://git.horde.org/horde-git/-/commit/354b7a2d7afa335895753d59dbcef5367efff9a4
2010-09-24 22:23:31 Jan Schneider Version ⇒ Git master
 
2008-09-22 14:18:35 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Horde_Crypt_pgp::generateRevocation() doesn't work
Queue ⇒ Horde Framework Packages
Assigned to Matt Selsky
Milestone ⇒
Patch ⇒ No
Reply to this comment
This method doesn't work because the --gen-revoke command refuses to 
run in batch mode. Thus, the passphrase can't be specified on a file 
descriptor, but a passphrase window pops up if running the unit test 
in a desktop environment.

Saved Queries